validate-npm-package
Validate a package.json file
Last updated 2 years ago by thejameskyle .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install validate-npm-package 
SYNC missed versions from official npm registry.

validate-npm-package

Validate a package.json file

const validateNpmPackage = require('validate-npm-package');

let results = validateNpmPackage({
  name: 'foo',
  version: '1.0.0',
});
// {
//   validForNewPackages: false,
//   validForOldPackages: true,
//   warnings: ["..."],
//   errors: ["..."],
// }

There's also a CLI:

$ validate-npm-package
$ validate-npm-package path/to/pkg
$ validate-npm-package --quiet/-q

Current Tags

  • 1.0.5                                ...           latest (2 years ago)

6 Versions

  • 1.0.5                                ...           2 years ago
  • 1.0.4                                ...           2 years ago
  • 1.0.3                                ...           2 years ago
  • 1.0.2                                ...           2 years ago
  • 1.0.1                                ...           2 years ago
  • 1.0.0                                ...           2 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 5
Last Day 0
Last Week 0
Last Month 22
Dependencies (5)
Dev Dependencies (2)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |